diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-13 08:44:26 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:39 +0200 |
commit | 53d36aaf9a856f523bd52de479a88f14338edda3 (patch) | |
tree | d43c74c6219ab7e0f8d294c131189034b15bea47 /tests/tail-2/big-4gb | |
parent | 10d190b8b6289f8a4b4818bd03b8f3a5dc87fd14 (diff) | |
download | coreutils-53d36aaf9a856f523bd52de479a88f14338edda3.tar.xz |
Adapt tests/tail-2/ to use test-lib.sh.
Diffstat (limited to 'tests/tail-2/big-4gb')
-rwxr-xr-x | tests/tail-2/big-4gb | 26 |
1 files changed, 6 insertions, 20 deletions
diff --git a/tests/tail-2/big-4gb b/tests/tail-2/big-4gb index cd56be71b..5494e3dc4 100755 --- a/tests/tail-2/big-4gb +++ b/tests/tail-2/big-4gb @@ -2,7 +2,7 @@ # Demonstrate a bug in `tail -cN' when operating on files of size 4G and larger # Fixed in coreutils-4.5.2. -# Copyright (C) 2002, 2003, 2006 Free Software Foundation, Inc. +# Copyright (C) 2002, 2003, 2006-2007 Free Software Foundation, Inc. # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by @@ -17,28 +17,20 @@ # You should have received a copy of the GNU General Public License # along with this program. If not, see <http://www.gnu.org/licenses/>. -. $srcdir/../expensive - if test "$VERBOSE" = yes; then set -x tail --version fi -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap '(exit $?); exit $?' 1 2 13 15 - -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 +. $srcdir/../expensive +. $srcdir/../test-lib.sh # Create a file of size exactly 4GB (2^32) with 8 bytes # at the beginning and another set of 8 bytes at the end. # The rest will be NUL bytes. On most modern systems, the following # creates a file that takes up only a few KB. Here, du -sh says 16K. -echo abcdefgh | tr -d '\n' > big || framework_failure=1 -echo 87654321 | tr -d '\n' > tmp || framework_failure=1 +echo abcdefgh | tr -d '\n' > big || framework_failure +echo 87654321 | tr -d '\n' > tmp || framework_failure # Seek 4GB - 8 dd bs=1 seek=4294967288 if=tmp of=big 2> err || dd_failed=1 if test "$dd_failed" = 1; then @@ -49,11 +41,6 @@ if test "$dd_failed" = 1; then (exit 77); exit 77 fi -if test $framework_failure = 1; then - echo "$0: failure in testing framework" 1>&2 - (exit 1); exit 1 -fi - fail=0 tail -c1 big > out || fail=1 @@ -63,7 +50,6 @@ cat <<\EOF > exp 1 EOF -cmp out exp || fail=1 -test $fail = 1 && diff out exp 2> /dev/null +compare out exp || fail=1 (exit $fail); exit $fail |